//
//  ZMSCircle.h
//  ZDCMaps
//
//  Created by zdc on 2016/04/06.
//  Copyright © 2016年 ZENRIN DataCom Co., LTD.. All rights reserved.
//

#import "ZMSOverlay.h"
#import <UIKit/UIkit.h>


/**
 * ZMSCircleは地図平面上に円オブジェクトを描画する。
 */
@interface ZMSCircle : ZMSOverlay

/**
 * 円の中心点座標
 */
@property(nonatomic, assign) CLLocationCoordinate2D position;


/**
 * 円の半径 [ m ] 必ず正の数
 */
@property(nonatomic, assign) CLLocationDistance radius;

/**
 * 円の境界線の線幅（1.0px 〜100.0 px）
 */
@property(nonatomic, assign) CGFloat strokeWidth;

/**
 * 円の境界線の線色
 */
@property(nonatomic, strong) UIColor *strokeColor;

/**
 * 円の塗りつぶし色
 */
@property(nonatomic, strong) UIColor *fillColor;

/**
 * ZMSCircleの簡易コンストラクタ
 * @param position 円中心（緯度経度）
 * @param radius 円半径（m）
 * @return ZMSCircle
 */
+ (instancetype)circleWithPosition:(CLLocationCoordinate2D)position radius:(CLLocationDistance)radius;

@end
