//
//  ZMSMarkerLayer.h
//  ZDCMaps
//
//  Created by zdc on 2015/04/23.
//  Copyright (c) 2015年 ZENRIN DataCom Co., LTD.. All rights reserved.
//

#ifndef ZDCMaps_ZMSMarkerLayer_h
#define ZDCMaps_ZMSMarkerLayer_h


#import <CoreLocation/CoreLocation.h>
#import <QuartzCore/QuartzCore.h>

/*
 * ZMSMarkerLayerはCALayerのカスタムサブクラス
 *
 * ZMSMarkerに関連する幾つかのプロパティのアニメーションをマーカーごとに設定することができる
 */
@interface ZMSMarkerLayer : CALayer


/*
 * ZMSMarkerのpositionパラメータの緯度のプロパティ
 */
@property (nonatomic, assign) CLLocationDegrees latitude;


/*
 * ZMSMarkerのpositionパラメータの経度のプロパティ
 */
@property (nonatomic, assign) CLLocationDegrees longitude;


/*
 * ZMSMarkerの回転のプロパティ
 */
@property (nonatomic, assign) CLLocationDegrees rotation;


/*
 * ZMSMarkerの透過のプロパティ
 */
@property float opacity;

@end

extern NSString *const kZMSMarkerLayerLatitude;
extern NSString *const kZMSMarkerLayerLongitude;

#endif
