//
//  ZMSOverlay.h
//  ZDCMaps
//
//  Created by zdc on 2014/12/08.
//  Copyright (c) 2014年 ZENRIN DataCom Co., LTD.. All rights reserved.
//

#ifndef ZDCMaps_ZMSOverlay_h
#define ZDCMaps_ZMSOverlay_h

#import <CoreLocation/CoreLocation.h>

@class ZMSMapView;

/**
 * ZMSMapView上に重畳するための抽象クラス
 *
 * このクラスは直接インスタンス化できない代わりにZMSMarkerやZMSPolyline*やZGMPolygonのような重畳タイプのオブジェクトを重畳することができる
 */
@interface ZMSOverlay : NSObject

/**
 * 重畳用オブジェクトのタイトルを表す(ZMSMarkerのみ対応)
 */
@property (nonatomic, copy) NSString *title;

/**
 * このマップの上に重畳される
 */
@property (nonatomic, weak, setter=setMapValue:) ZMSMapView *map;

/**
 * タップイベントを通知するかどうか設定することができる
 *
 * ZMSMarkerなどはデフォルトでタップ可能となっている
 */
@property (nonatomic, assign, getter=isTappable) BOOL tappable;

/**
 * zIndexが高いオブジェクトは小さいzIndexよりも上に地図上に重畳させる
 *
 * 値が等しい場合は描画順は未定義となる
 */
@property (nonatomic, assign) NSInteger zIndex;

@property (nonatomic, assign, getter=isVisible) BOOL visible;
@property (nonatomic, strong, readonly) NSString *objectID;

@end

#endif
