//
//  ZMSPath.h
//  ZDCMaps
//
//  Created by zdc on 2014/12/08.
//  Copyright (c) 2014年 ZENRIN DataCom Co., LTD.. All rights reserved.
//

#ifndef ZDCMaps_ZMSPath_h
#define ZDCMaps_ZMSPath_h

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

/**
 * ZMSPathは不変のCLLocationCoordinate2Dの点列を保持するクラス
 * ZMSPathの全座標は有効な値である必要がある
 * 変更可能な点列を保持するクラスにZMSMutablePathがある
 */
@interface ZMSPath : NSObject <NSCopying, NSMutableCopying>

/**
 * 空の点列を生成する簡易コンストラクタ
 */
+ (instancetype)path;

/**
 * 別のZMSPathによって新たな点列を初期化する
 * @param path 初期化用のライン座標
 */
- (id)initWithPath:(ZMSPath *)path;

/**
 * 点列の数を取得
 */
- (NSInteger)count;

/**
 * 任意のインデックスの座標情報を返却する
 * @param index 任意の座標を取得したいインデックス
 */
- (CLLocationCoordinate2D)coordinateAtIndex:(NSInteger)index;

@end

#endif
