//
//  ZMSPolygon.h
//  ZDCMaps
//
//  Created by zdc on 2016/01/13.
//  Copyright (c) 2016年 ZENRIN DataCom Co., LTD.. All rights reserved.
//

#import "ZMSOverlay.h"
#import <UIKit/UIkit.h>

@class ZMSPath;

/**
 * ZMSPolygonはユーザーが定義したポリゴンを表示するためのクラス
 * ポリゴンは連続した点列によって定義される
 */
@interface ZMSPolygon : ZMSOverlay

/**
 * ポリゴンを形成する点列
 */
@property(nonatomic, copy) ZMSPath *path;

/**
 * ポリゴンの枠線の線幅（1.0 〜100.0）
 */
@property(nonatomic, assign) CGFloat strokeWidth;

/**
 * ポリゴンの枠線の線色
 */
@property(nonatomic, strong) UIColor *strokeColor;

/**
 * ポリゴンの塗りつぶし色
 */
@property(nonatomic, strong) UIColor *fillColor;

/**
 * ポリゴンに穴を空ける場合のポリゴン点列を複数設定可能
 */
@property(nonatomic, strong) NSArray<ZMSPath *> *holes;

/**
 * ZMSPolygon用簡易コンストラクタ
 * @param (ZMSPath*)path ポリゴンを形成する座標点列
 * @return ZMSPolygon 
 */
+ (instancetype)polygonWithPath:(ZMSPath *)path;

@end
