//
//  ZMSPolyline.h
//  ZDCMaps
//
//  Created by zdc on 2016/01/13.
//  Copyright (c) 2016年 ZENRIN DataCom Co., LTD.. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ZMSOverlay.h"

@class ZMSPath;

/**
 * 点列で表現されたポリラインを定義するクラス
 */
@interface ZMSPolyline : ZMSOverlay

/**
 * ポリラインを構成する座標点列
 */
@property(nonatomic, copy) ZMSPath *path;

/**
 * ポリラインの線幅（1.0px 〜100.0 px）
 */
@property(nonatomic, assign) CGFloat strokeWidth;

/**
 * ポリラインの線色
 */
@property(nonatomic, strong) UIColor *strokeColor;

/**
 * ZMSPolylineの簡易コンストラクタ
 * @param path ポリラインの点列
 * 頂点数は最大16000点　超過した頂点は描画されない
 */
+ (instancetype)polylineWithPath:(ZMSPath *)path;

@end
