//
//  ZMSServices.h
//  ZDCMaps
//
//  Created by s_hirose on 2016/09/29.
//  Copyright © 2016年 ZENRIN DataCom. All rights reserved.
//

/**
 * サービス利用者認証用クラス
 */
@interface ZMSServices : NSObject

/**
 * サービスインスタンス（シングルトン）を所得
 */
+ (ZMSServices *)sharedService;

/**
 * 認証パラメータを指定してサービス利用を開始
 * @param   ConsumerKey          コンシューマーキー（クライアントID）
 * @param   SecretKey            秘密鍵
 * @param   CertificateDomain    認証ドメイン
 * @return  成否
 * @note    ZMSMapViewオブジェクトを生成する前に利用すること。２度呼んだ場合は NO が返る。
 */
+ (BOOL)provideConsumerKey:(NSString *)csrKey SecretKey:(NSString *)scrKey  CertificateDomain: (NSString *)domain;

@end
